/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "card.h"
#include "../display/texture.h"
#include "../display/tileset.h"
#include "../display/primitive.h"

/** How many cards the dealer can hold in their hand */
#define POKER_DEALER_HAND 5

/** Representation of the dealer state */
typedef struct {
  /** Dealer Hand */
  card_t cards[POKER_DEALER_HAND];
  uint8_t cardsFacing;

  texture_t dealerTexture;
  tileset_t dealerTileset;
  primitive_t dealerPrimitive;
} pokerdealer_t;