/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "match.h"

void pokerMatchInit(poker_t *poker, engine_t *engine) {
  uint8_t x;

  // Look at the dealer
  // poker->matchStart = engine->time.current;
  pokerLookAtPlayer(&poker->cameraWorld, POKER_SEAT_DEALER, 100);

  // Reset the main game state. This does not init the round.
  poker->bet.blindBig = POKER_BET_BLIND_BIG_DEFAULT;
  poker->bet.blindSmall = POKER_BET_BLIND_SMALL_DEFAULT;
  poker->roundDealer = POKER_PLAYER_COUNT-2;
  poker->roundTextCounter = 0;
  poker->round = POKER_ROUND_MATCH;

  for(x = 0; x < POKER_PLAYER_COUNT; x++) {
    poker->players[x].state = 0x00;
    poker->players[x].chips = POKER_BET_PLAYER_CHIPS_DEFAULT;
  }
  printf("Match Start\n");
  // pokerStartInit(poker);
}

void pokerMatchUpdate(poker_t *poker, engine_t *engine) {
  // float matchDiff = poker->matchStart - engine->time.current;
}